#ifndef _MENU_H
#define _MENU_H




#ifndef __NCURSES_H
#include <ncursesw/ncurses.h>
#endif
#ifndef ETI_MEN
#include <ncursesw/menu.h>
#endif
#include <string.h>

#include "quit.h"

#ifndef __NCURSES_H
#define COLOR_BLACK   0
#define COLOR_RED     1
#define COLOR_GREEN   2
#define COLOR_YELLOW  3
#define COLOR_BLUE    4
#define COLOR_MAGENTA 5
#define COLOR_CYAN    6
#define COLOR_WHITE   7
#endif

/*
  The mcolor_s struct desciption tha menu colors. 
  The v_mchar the color for unactive character of menu items.
  The v_mbg the color for background of unactive character of menu items.
  The n_mchar the color for active character of menu items.
  The n_mbg the color for background of active character of menu items.
*/


    struct mcolor_s {
             int v_mchar;
	     int v_mbg;
	     int n_mchar;
	     int n_mbg;
	     };

/*
  Return the elected number of menu item. It has seven parameter.
  

  bulk[]   The menu items
  x	   horisontal coordinata
  y	   vertical coordinata
  beginer  Beginer menuitem
  frame    If you want frame wrtie 1 else 0
  colors   A sturct, such has four part. This contain the
	   colors of menu.
           mcolor_s sturct      
  shadow_color 
	   Shadow setting. If you want shadow then set a color
	   for shadow and that will show.
*/

int menu_s(char *bulk[], int x, int y, ...);

#endif /* menus.h  */



