#!/bin/bash

# Install script

echo 
echo "Tpgt installing ..."
echo

#cd src
#make
#cd ..
echo "install -d /usr/local/tpgt"
install -d /usr/local/tpgt

if test -d src
then
    echo "install -m 755 src/tpgt /usr/local/tpgt/tpgt"
    install -m 755 src/tpgt /usr/local/tpgt/tpgt
else
    echo "install -m 755 tpgt /usr/local/tpgt/tpgt"
    install -m 755 tpgt /usr/local/tpgt/tpgt
fi

echo "install -d /usr/local/tpgt/lessons/en"
install -d /usr/local/tpgt/lessons/en
echo "install -d /usr/local/tpgt/lessons/hu"
install -d /usr/local/tpgt/lessons/hu
echo "install -m 644 lessons/en/* /usr/local/tpgt/lessons/en/"
install -m 644 lessons/en/* /usr/local/tpgt/lessons/en/
echo "install -m 644 lessons/hu/* /usr/local/tpgt/lessons/hu/"
install -m 644 lessons/hu/* /usr/local/tpgt/lessons/hu/
echo "install -m 644 po/hu/LC_MESSAGES/tpgt.mo"
echo "        /usr/share/locale/hu/LC_MESSAGES/tpgt.mo"
install -m 644 po/hu/LC_MESSAGES/tpgt.mo /usr/share/locale/hu/LC_MESSAGES/tpgt.mo
echo "install -d /usr/local/tpgt/doc"
install -d /usr/local/tpgt/doc
echo "install -m 644 COPYING /usr/local/tpgt/doc/Copying"
install -m 644 COPYING /usr/local/tpgt/doc/Copying
echo "install -m 644 ChangeLog /usr/local/tpgt/doc/Changelog"
install -m 644 ChangeLog /usr/local/tpgt/doc/Changelog
echo "install -d /usr/local/tpgt/doc"
install -d /usr/local/tpgt/doc/
echo "install -d /usr/local/tpgt/doc/hu"
install -d /usr/local/tpgt/doc/hu
echo "install -m 644 doc/lesson_formatum.txt /usr/local/tpgt/doc/lesson_format.txt"
install -m 644 doc/lesson_format.txt /usr/local/tpgt/doc/lesson_format.txt
echo "install -m 644 doc/hu/lecke_formatum.txt /usr/local/tpgt/doc/hu/lecke_formatum.txt"
install -m 644 doc/hu/lecke_formatum.txt /usr/local/tpgt/doc/hu/lecke_formatum.txt

if test ! -s /usr/bin/tpgt
then
    echo "ln -s /usr/local/tpgt/tpgt /usr/bin/tpgt"
    ln -s /usr/local/tpgt/tpgt /usr/bin/tpgt
fi


echo
echo "End of Tpgt Installation"
echo
