/******************************************************************************

  Typing Trainer

  tpgt

  Copyright (C) 2004-2007 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  
*******************************************************************************/


#include "head.h"
#include <ncursesw/ncurses.h>

void head(void)
{
    WINDOW *head_window;
        
    initscr();
    head_window = newwin(1, 30, 1, 22);    
    start_color();
    wclear(head_window);
    wrefresh(head_window);
    init_pair(1, COLOR_WHITE, COLOR_BLUE); 
    wbkgd(head_window, COLOR_PAIR(1));
    waddstr(head_window, "           Tpgt");
    wrefresh(head_window);
    
    endwin();
}


